Get Investments
curl --request POST \
--url https://{instanceWealth}-api.private.fin.ag/v3/{customerId}/Investments \
--header 'Content-Type: application/json' \
--data '
{
"MostRecentCached": "true"
}
'import requests
url = "https://{instanceWealth}-api.private.fin.ag/v3/{customerId}/Investments"
payload = { "MostRecentCached": "true" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({MostRecentCached: 'true'})
};
fetch('https://{instanceWealth}-api.private.fin.ag/v3/{customerId}/Investments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{instanceWealth}-api.private.fin.ag/v3/{customerId}/Investments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'MostRecentCached' => 'true'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{instanceWealth}-api.private.fin.ag/v3/{customerId}/Investments"
payload := strings.NewReader("{\n \"MostRecentCached\": \"true\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{instanceWealth}-api.private.fin.ag/v3/{customerId}/Investments")
.header("Content-Type", "application/json")
.body("{\n \"MostRecentCached\": \"true\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{instanceWealth}-api.private.fin.ag/v3/{customerId}/Investments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"MostRecentCached\": \"true\"\n}"
response = http.request(request)
puts response.read_body{
"Investments": [
{}
],
"Message": "<string>"
}{
"Title": "<string>",
"Message": "<string>",
"HttpStatusCode": 123
}Investment Account Linking
/Investments
deprecated
POST
/
v3
/
{customerId}
/
Investments
Get Investments
curl --request POST \
--url https://{instanceWealth}-api.private.fin.ag/v3/{customerId}/Investments \
--header 'Content-Type: application/json' \
--data '
{
"MostRecentCached": "true"
}
'import requests
url = "https://{instanceWealth}-api.private.fin.ag/v3/{customerId}/Investments"
payload = { "MostRecentCached": "true" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({MostRecentCached: 'true'})
};
fetch('https://{instanceWealth}-api.private.fin.ag/v3/{customerId}/Investments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{instanceWealth}-api.private.fin.ag/v3/{customerId}/Investments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'MostRecentCached' => 'true'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{instanceWealth}-api.private.fin.ag/v3/{customerId}/Investments"
payload := strings.NewReader("{\n \"MostRecentCached\": \"true\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{instanceWealth}-api.private.fin.ag/v3/{customerId}/Investments")
.header("Content-Type", "application/json")
.body("{\n \"MostRecentCached\": \"true\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{instanceWealth}-api.private.fin.ag/v3/{customerId}/Investments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"MostRecentCached\": \"true\"\n}"
response = http.request(request)
puts response.read_body{
"Investments": [
{}
],
"Message": "<string>"
}{
"Title": "<string>",
"Message": "<string>",
"HttpStatusCode": 123
}The Investments product will be retired on April 30, 2026. New integrations are not supported, and existing integrations will stop working after this date.
Path Parameters
Body
application/json
Was this page helpful?